%define name oracle-rdbms-server-11gR2-preinstall 
%define version 1.0
%define release 15.el6



Summary: Sets the system for Oracle single instance and Real Application Cluster install for Oracle Linux 6
Name: %{name}
Version: %{version}
Release: %{release}
Group: Test Environment/Libraries
License: GPLv2
Vendor:Oracle
Source: %{name}-%{version}.tar.gz
Patch1: bug28573802.patch
Patch2: bug28573838.patch

Provides: %{name} = %{version}

Requires(pre):/etc/redhat-release

#System requirement
Requires:procps module-init-tools ethtool initscripts 
Requires:bc bind-utils nfs-utils util-linux-ng pam
Requires:xorg-x11-utils xorg-x11-xauth 
Requires:kernel-uek
Requires:smartmontools

# Per orabug 20063241
Requires:psmisc

#As per cert/11203crs/db-cvu_prereq.xml
Requires:binutils compat-libstdc++-33 gcc gcc-c++ glibc glibc-devel 
Requires:ksh libaio libaio-devel libgcc libstdc++ libstdc++-devel 
Requires:make sysstat openssh-clients compat-libcap1     


BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package installs software packages and sets system parameters required for Oracle single instance and Real Application Cluster install for Oracle Linux Release 6
Files affected: /etc/sysctl.conf, /etc/security/limits.conf, /boot/grub/menu.lst.

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q
%patch1 -p1
%patch2 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p -m 700 $RPM_BUILD_ROOT/var/log/%{name}/results

install -m 744 %{name}-verify $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 744 %{name}-verify $RPM_BUILD_ROOT/usr/bin
install -m 644 %{name}.param $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 744 %{name}-firstboot $RPM_BUILD_ROOT/etc/rc.d/init.d
ln -f -s /etc/sysconfig/%{name}/%{name}-verify $RPM_BUILD_ROOT/usr/bin/%{name}-verify 2> /dev/null;

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f  /etc/sysconfig/%{name}/%{name}.param ]; then 
  cp -f /etc/sysconfig/%{name}/%{name}.param /var/log/%{name}/results/.%{name}.param 2> /dev/null
fi

if [ -d /etc/sysconfig/%{name} ]; then
  rm -rf /etc/sysconfig/%{name} 2> /dev/null
fi	

%posttrans
/usr/bin/%{name}-verify 2> /dev/null 1>&2

if ! [ -f /etc/sysconfig/%{name}/%{name}.conf ]; then
	chkconfig --add %{name}-firstboot 
fi

%preun
if [ "$1" = "0" ] ; then # last uninstall
 chkconfig --del %{name}-firstboot
 if [ -x /usr/bin/%{name}-verify ]; then
   /usr/bin/%{name}-verify -u 2> /dev/null 1>&2
 fi
fi

%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /etc/sysconfig/%{name} ]; then
   rm /usr/bin/%{name}-verify 2> /dev/null
   rm -rf /etc/sysconfig/%{name} 2> /dev/null
 fi
 if [ -d /var/log/%{name} ]; then	
   rm -rf /var/log/%{name} 2> /dev/null	
 fi
fi

%files
%defattr(-,root,root)
%config /etc/sysconfig/%{name}/%{name}.param
/etc/sysconfig/%{name}/%{name}-verify
/usr/bin/%{name}-verify
/etc/rc.d/init.d/%{name}-firstboot
/var/log/%{name}
/etc/sysconfig/%{name}

%changelog
* Wed Sep 19 2018  Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-15.el6]
- Fix for removing previous preinstall comments [Orabug 28573802]
- Fix for restoring latest preinstall values during rpm removal [Orabug 28573838]

* Wed Jan 4 2017 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-14.el6]
- Added unzip to dependencies [Orabug 25343371]
- Added support for co-existence with other preinstall rpms [Orabug 25343362]
- Fixed upgrade errors [Orabug 24923629]
- Fixed sed errors in verify script [Orabug 25343345]
- Added locking to fix -firstboot errors [Orabug 25343331]
- Fixed UEK dependency based errors [Orabug 25343437]

* Mon May 2 2016 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-13.el6]
- Log message that specified the wrong path corrected. Orabug 20675405

* Mon Apr 27 2015  Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-12.el6]
- Fix for Orabug 20675405 & 20676277 - UEFI systems and correcting LANG settings

* Mon Feb 2 2015 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-11.el6]
- Cleaned up code

* Fri Jan 2 2015 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-11.el6]
- Add psmisc as a dependency, add settings for memlock 

* Fri Sep 25 2014 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-10.el6]
- Add panic_on_oops and NOZEROCONF 

* Wed Nov 20 2013 Gurudas Pai <gurudas.pai@oracle.com> [1.0-9.el6]
- do not chmod limits.conf

* Tue Oct 29 2013 Gurudas Pai <gurudas.pai@oracle.com> [1.0-8.el6]
- Disable THP 1557478.1, bug17029612
- update license to GPLv2.
- Increase nproc soft limit to 16384, orabug15971421
- Do not change values if it is already higher
- fix rpm remove issue of missing updates.
- fix warning in build of preinstall bz15552

* Thu Dec 24 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.0-7.el6]
- id check for firstboot bz14121
- remove execute privilege for non-root user.
	
* Thu Jun 07 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.0-6.el6]
- fixed comment in sysctl.conf

* Wed May 30 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.0-5.el6]
- fixed comment in limits.conf

* Tue Apr 10 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.0-4.el6]
- kernel.shmall=2097152  for x86
- kernel.shmmax=4294967295 for x86 

* Mon Mar 26 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.0-3.el6]
- Added smartmontools as dependency, bz13653

* Thu Mar 22 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.0-2.el6]
- kernel.shmall=1073741824 as per bz7256 
- kernel.shmmax=4398046511104 as per bz7256
- stack hard = 32768 as per doc max limit

* Thu Mar 22 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.0-1.el6]
- Renamed rpm to oracle-rdbms-server-11gR2-preinstall
- Included xorg-x11-utils xorg-x11-xauth as dependency bz13653
- Included kernel-uek as dependency.
- fs.aio-max-nr=1048576 to match document,bz13653
- kernel.shmall=2097152 to match document,bz13653
- kernel.shmmax=536870912 to match document,bz13653
- nofile soft = 1024 to match document,bz13653
- nofile hard = 65536 to match document,bz13653
- nproc soft = 2047 to match document,bz13653
- nproc hard = 16384 to match document,bz13653
- stack soft = 10240 to match document,bz13653
- stack hard = 10240 to match document,bz13653


* Wed Nov 9 2011 Gurudas Pai <gurudas.pai@oracle.com> [1.0.0-3.el6]
- removed util-linux and added util-linux-ng (fork of util-linux)
- removed openssh and added openssh-clients bz13173
- removed 32 bit dependency for x86_64 as per st docs.
- removed kernel-uek-headers/kernel-headers
- disable login for oracle user for bug12623491
- Merge fix
- Removed msgmni, msgmnb, msgmax for bz11029
- Increase stack limit for oracle user bz11683
- bugfix for bug11656858
- added compat-libcap1 dependency bz12221
- move link creation to install part bz11030
- removed comment related to bugdb6820451	
- removed flowcontrol settings bz11508	
- Removed 10G related info from oracle-rdbms-server-11gR2-preinstall.param
- Changed kernel.semmni to 128 as per 11203crs-cvu_prereq.xml
- removed vm.min_free_kbytes
- removed readme 

* Tue Sep 07 2010 Tianyue Lan <tianyue.lan@oracle.com> [1.0.0-1.el6]
- Changed requirement for x86_64 arch
  /lib/libaio.so.1
  libodbc.so.2()(64bit)
  /usr/lib/libodbc.so.2
  /usr/lib/gcc/x86_64-redhat-linux/4.4.4/libstdc++.a

